Change in osmo-gsm-manuals[master]: merge_doc.xsl: move from libosmocore.git

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

osmith gerrit-no-reply at lists.osmocom.org
Tue Nov 13 12:42:52 UTC 2018


osmith has submitted this change and it was merged. ( https://gerrit.osmocom.org/11736 )

Change subject: merge_doc.xsl: move from libosmocore.git
......................................................................

merge_doc.xsl: move from libosmocore.git

Allow building manuals without the libosmocore source.

Related: OS#3385
Change-Id: Ifb81b18422987cdf36b75993d2782abf93b5f48c
---
M Makefile
M build/Makefile.vty-reference.inc
A merge_doc.xsl
3 files changed, 49 insertions(+), 8 deletions(-)

Approvals:
  Jenkins Builder: Verified
  Pau Espin Pedrol: Looks good to me, approved



diff --git a/Makefile b/Makefile
index 0ef0942..34c18ad 100644
--- a/Makefile
+++ b/Makefile
@@ -1,5 +1,3 @@
-LIBOSMO_DIR ?= ~/source/gsm/libosmocore
-
 all: check-deps
 	cd OsmoBTS; $(MAKE)
 	cd OsmoNITB; $(MAKE)
@@ -80,9 +78,6 @@
 define check_dep_python2_module
     @echo "import $(1)" | python2 - >/dev/null 2>&1 || { echo >&2 "Failed to import '$(1)' module, please install $(2)."; exit 1; }
 endef
-define check_dep_dir
-	@test -d $(1) || { echo >&2 "Directory '$(1)' not found, please set $(2) to the path of your libosmocom source tree: make LIBOSMO_DIR=/path/to/libosmocore"; exit 1; }
-endef
 
 check-deps:
 	$(call check_dep_bin,mscgen,mscgen)
@@ -95,4 +90,3 @@
 	$(call check_dep_bin,dot,graphviz)
 	$(call check_dep_bin,python2,python2)
 	$(call check_dep_python2_module,pychart,python2-pychart)
-	$(call check_dep_dir,$(LIBOSMO_DIR),LIBOSMO_DIR)
diff --git a/build/Makefile.vty-reference.inc b/build/Makefile.vty-reference.inc
index 6607ae5..1528d32 100644
--- a/build/Makefile.vty-reference.inc
+++ b/build/Makefile.vty-reference.inc
@@ -25,8 +25,7 @@
 DOCBOOKS_DEPS = generated/docbook_vty.xml
 include $(TOPDIR)/build/Makefile.docbook.inc
 
-LIBOSMO_DIR ?= ~/source/gsm/libosmocore
-MERGE_DOC = $(shell realpath $(LIBOSMO_DIR)/doc/vty/merge_doc.xsl)
+MERGE_DOC = $(shell realpath $(TOPDIR)/merge_doc.xsl)
 
 CLEAN_FILES += generated
 
diff --git a/merge_doc.xsl b/merge_doc.xsl
new file mode 100644
index 0000000..d75c499
--- /dev/null
+++ b/merge_doc.xsl
@@ -0,0 +1,48 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                             xmlns:vty="urn:osmocom:xml:libosmocore:vty:doc:1.0">
+  <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" />
+
+
+  <xsl:template match="@*|node()">
+    <xsl:copy>
+      <xsl:apply-templates select="@*|node()" />
+    </xsl:copy>
+  </xsl:template>
+
+
+  <!-- Copy the name of the node -->
+  <xsl:template match="vty:node">
+    <xsl:variable name="info" select="document($with)/vty:vtydoc/vty:node[@id=current()/@id]/." />
+    <xsl:if test="not($info/vty:hide)">
+      <xsl:copy>
+        <xsl:apply-templates select="@*|node()" />
+          <xsl:for-each select="$info/*">
+	    <xsl:copy-of select="." />
+          </xsl:for-each>
+      </xsl:copy>
+    </xsl:if>
+  </xsl:template>
+
+
+  <!-- Copy command and add nodes -->
+  <xsl:template match="vty:command">
+    <xsl:variable name="info" select="document($with)/vty:vtydoc/vty:node[@id=current()/../@id]/vty:command[@id=current()/@id]/." />
+    <xsl:variable name="info_generic" select="document($with)/vty:vtydoc/vty:common/vty:command[@id=current()/@id]/." />
+    <xsl:copy>
+      <xsl:apply-templates select="@*|node()" />
+
+      <!-- Copy the specific issue... -->
+      <xsl:for-each select="$info/*">
+        <xsl:copy-of select="." />
+      </xsl:for-each>
+
+      <xsl:if test="not($info)">
+        <xsl:for-each select="$info_generic/*">
+            <xsl:copy-of select="." />
+        </xsl:for-each>
+      </xsl:if>
+    </xsl:copy>
+  </xsl:template>
+</xsl:transform>
+

-- 
To view, visit https://gerrit.osmocom.org/11736
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-gsm-manuals
Gerrit-Branch: master
Gerrit-MessageType: merged
Gerrit-Change-Id: Ifb81b18422987cdf36b75993d2782abf93b5f48c
Gerrit-Change-Number: 11736
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith at sysmocom.de>
Gerrit-Reviewer: Jenkins Builder (1000002)
Gerrit-Reviewer: Pau Espin Pedrol <pespin at sysmocom.de>
Gerrit-Reviewer: osmith <osmith at sysmocom.de>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20181113/cc066355/attachment.htm>


More information about the gerrit-log mailing list